posted by Thom Holwerda on Wed 8th Apr 2009 07:29 UTC
IconBack when Apple introduced Mac OS X 10.5 Leopard, there was a bit of a minor controversy around the artificially implemented cut-off point; you could only install Leopard on machines with G4 processors of 867Mhz or more, leaving out capable machines like the dual 733Mhz or dual 800Mhz. The community soon found ways around this limitation, and recently, I found myself in a situation where I had to do the same.

About half a year ago, I bought a PowerMac Dual G4-450Mhz, with 1GB of RAM. It ran Mac OS X 10.4 Tiger, and it did so fairly well. The biggest issue was a lack of a Quartz Extreme capable video card, which meant that all the animations and window drawing and such were done by the processors, putting a lot of extra strain on the already ageing G4s.

So, ever since I bought the machine, I was on the look-out for a nice Mac graphics card that was Quartz Extreme capable, which should deliver a serious speed boost for the PowerMac. A few days ago, I finally spotted a decent offer on TweedehandsMac.nl, a website dedicated solely to selling/buying second hand Apple stuff. Someone had a Radeon 8500 with 64MB of video RAM on offer for just 30EUR, which in Mac land isn't a whole lot. I went for it, and yesterday morning the card arrived in the mail.

The difference was simply mind-blowing. Replacing the Ati Rage card with this "new" Radeon turned the PowerMac into a very usable machine, multitasking and all. It's no miracle worker, of course, and processor intensive unoptimised pieces of... things like Flash will still bring it to its knees, but apart from that, it's an absolute joy.

But I wanted more: I wanted the latest Mac OS X. I don't like running last year's version, and always prefer the latest and greatest. So, I got out my retail copy of Leopard, and dove into the process of getting Leopard installed on my "unsupported" PowerMac. Turns out this is as easy as exploiting Safari on Mac OS X (that was a joke, I command you to laugh).

There are three ways to get Leopard on an "unsupported" machine. Since I don't have another, more recent, supported Mac to install Leopard on, the option of using FireWire target mode was out of the question. I'd had to resort to hacking my Leopard installation DVD, and I wasn't looking forward to that. Luckily, a bit of Googling was all it took to find a free little application called LeopardAssist, which makes installing Leopard on "unsupported" machines as easy as a few clicks.

LeopardAssist is a utility that automates the third method: using OpenFirmware to fool the Leopard installer into thinking you have a 867Mhz processor. You can do this manually, but why would you when LeopardAssist automates it in a nice graphical utility? It's a small application that you run on your "unsupported" Mac, so you need Mac OS X 10.4 or 10.3 installed on it. The utility puts a little script in your PRAM that changes the CPU entry in the device tree to 867Mhz, allowing the Leopard installer to pass the processor check, and work without a hitch. When the installer is done, Leopard automatically restores your computer to its normal values.

The weird thing is, though, that Leopard seems to run a little faster than Tiger on these old Macs, further cementing my belief that this artificial cut-off point was put in place by Apple solely to sucker in more people to buy new Macs, even though their old ones are still capable enough. If my PowerMac Dual G4-450Mhz, with 1GB of RAM and a Radeon 8500 video card can run Leopard this well, what about the dual 733Mhz or dual 800Mhz machines? What about all those souls that use processor upgrade cards, and are also locked out?

If you have an "unsupported" G4, but were always a bit weary of installing Leopard, here's your chance.

e p (2)    20 Comment(s)

Technology White Papers

See More